package com.mortals.xhx.module.record.dao.ibatis;


import com.mortals.framework.util.EntityUtil;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.record.dao.ApplyLogDao;
import com.mortals.xhx.module.record.model.ApplyLogEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* 证照申请DaoImpl DAO接口
*
* @author zxfei
* @date 2022-10-14
*/
@Repository("applyLogDao")
public class ApplyLogDaoImpl extends BaseCRUDDaoMybatis<ApplyLogEntity,Long> implements ApplyLogDao {

    @Override
    public int update(ApplyLogEntity entity) {
        Map<String,Object> data = new HashMap();
        EntityUtil.entityToMap(entity, data);
        Map condition = new HashMap();
        condition.put(this.getPrimaryKeyLabel(), entity.getId());
        if(entity.getValidityStart()==null){
            data.put("validityStart",null);
        }
        if(entity.getValidityEnd()==null){
            data.put("validityEnd",null);
        }
        return this.update((Map)data, (Map)condition);
    }

}
